Subject: Re: --progress for git submodule update?

From: Jens Lehmann <[email-masked]>
Date: Wed, 14 Mar 2012 20:42:30 +0100

Am 13.03.2012 03:17, schrieb Chris Kees:
> It's 'git submodule update --recursive' that is taking so long
> silently.  The problem is mainly on the first time. There are about 10
> submodules that together have taken more than 30 minutes. It's not
> really just the amount of data, I think there are also network traffic
> issues that slow things down on some systems.

I suppose with "first time" you mean right after "git submodule init",
when the submodules have to be cloned initially? Thinking about that
again, you mentioned a buildbot doing all that. When the submodules
are updated from a script, no progress output is shown at all and only
the line "Cloning into 'xxx'..." will appear for each submodule, which
explains why you don't see output for quite some time.

So I suspect increasing the timeout on your buildbot is the way to go,
as progress output is intended for humans.